import request from '@/utils/request'

export function queryDoorCodeList(data) {
  return request({
    url: '/doorCode/queryDoorCodeList',
    method: 'post',
    data
  })
}
export function getDoorType() {
  return request({
    url: '/doorCode/getDoorType',
    method: 'get'
  })
}
///doorCode/addDoorCodeShow

export function addDoorCodeShow() {
  return request({
    url: '/doorCode/addDoorCodeShow',
    method: 'get'
  })
}

export function editDoorCodeShow(id) {
  return request({
    url: '/doorCode/editDoorCodeShow/' + id,
    method: 'get'
  })
}
// /doorCode/saveOrUpdateDoorCode
export function saveOrUpdateDoorCode(data) {
  return request({
    url: '/doorCode/saveOrUpdateDoorCode',
    method: 'post',
    data
  })
}
// /doorCode/deleteDoorCode
export function deleteDoorCode(data) {
  return request({
    url: '/doorCode/deleteDoorCode',
    method: 'delete',
    data
  })
}
// /tataRuleColumns/list
export function getRuleList(params) {
  return request({
    url: '/tataRuleColumns/list',
    method: 'get',
    params
  })
}
// /doorCode/getDoorTypeProduct
export function getDoorTypeProduct(params) {
  return request({
    url: '/doorCode/getDoorTypeProduct',
    method: 'get',
    params
  })
}
// /doorCode/getGateTypeByProductId
export function getGateTypeByProductId(params) {
  return request({
    url: '/doorCode/getGateTypeByProductId',
    method: 'get',
    params
  })
}
